// Code generated by MockGen. DO NOT EDIT.
// Source: ./pkg/types/interfaces.go

// Package mocks is a generated GoMock package.
package mocks

import (
	"data-furnishing-tooling/pkg/common"
	types "data-furnishing-tooling/pkg/types"
	reflect "reflect"

	lib "github.com/moov-io/metro2/pkg/lib"
	gomock "go.uber.org/mock/gomock"
)

// MockReportingFile is a mock of ReportingFile interface.
type MockReportingFile struct {
	ctrl     *gomock.Controller
	recorder *MockReportingFileMockRecorder
}

// MockReportingFileMockRecorder is the mock recorder for MockReportingFile.
type MockReportingFileMockRecorder struct {
	mock *MockReportingFile
}

// NewMockReportingFile creates a new mock instance.
func NewMockReportingFile(ctrl *gomock.Controller) *MockReportingFile {
	mock := &MockReportingFile{ctrl: ctrl}
	mock.recorder = &MockReportingFileMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockReportingFile) EXPECT() *MockReportingFileMockRecorder {
	return m.recorder
}

// GenerateSegments mocks base method.
func (m *MockReportingFile) GenerateSegments(client types.Client, bureau string) ([]lib.Record, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GenerateSegments", client, bureau)
	ret0, _ := ret[0].([]lib.Record)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GenerateSegments indicates an expected call of GenerateSegments.
func (mr *MockReportingFileMockRecorder) GenerateSegments(client, bureau interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GenerateSegments", reflect.TypeOf((*MockReportingFile)(nil).GenerateSegments), client, bureau)
}

// GetFileName mocks base method.
func (m *MockReportingFile) GetFileName() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetFileName")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetFileName indicates an expected call of GetFileName.
func (mr *MockReportingFileMockRecorder) GetFileName() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetFileName", reflect.TypeOf((*MockReportingFile)(nil).GetFileName))
}

// ParseRecord mocks base method.
func (m *MockReportingFile) ParseRecord(record []string) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "ParseRecord", record)
	ret0, _ := ret[0].(error)
	return ret0
}

// ParseRecord indicates an expected call of ParseRecord.
func (mr *MockReportingFileMockRecorder) ParseRecord(record interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "ParseRecord", reflect.TypeOf((*MockReportingFile)(nil).ParseRecord), record)
}

// Validate mocks base method.
func (m *MockReportingFile) Validate() common.ErrorAggregate {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Validate")
	ret0, _ := ret[0].(common.ErrorAggregate)
	return ret0
}

// Validate indicates an expected call of Validate.
func (mr *MockReportingFileMockRecorder) Validate() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Validate", reflect.TypeOf((*MockReportingFile)(nil).Validate))
}

// MockValidatorFn is a mock of ValidatorFn interface.
type MockValidatorFn struct {
	ctrl     *gomock.Controller
	recorder *MockValidatorFnMockRecorder
}

// MockValidatorFnMockRecorder is the mock recorder for MockValidatorFn.
type MockValidatorFnMockRecorder struct {
	mock *MockValidatorFn
}

// NewMockValidatorFn creates a new mock instance.
func NewMockValidatorFn(ctrl *gomock.Controller) *MockValidatorFn {
	mock := &MockValidatorFn{ctrl: ctrl}
	mock.recorder = &MockValidatorFnMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockValidatorFn) EXPECT() *MockValidatorFnMockRecorder {
	return m.recorder
}

// Validate mocks base method.
func (m *MockValidatorFn) Validate() error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Validate")
	ret0, _ := ret[0].(error)
	return ret0
}

// Validate indicates an expected call of Validate.
func (mr *MockValidatorFnMockRecorder) Validate() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Validate", reflect.TypeOf((*MockValidatorFn)(nil).Validate))
}

// MockFileValidator is a mock of FileValidator interface.
type MockFileValidator struct {
	ctrl     *gomock.Controller
	recorder *MockFileValidatorMockRecorder
}

// MockFileValidatorMockRecorder is the mock recorder for MockFileValidator.
type MockFileValidatorMockRecorder struct {
	mock *MockFileValidator
}

// NewMockFileValidator creates a new mock instance.
func NewMockFileValidator(ctrl *gomock.Controller) *MockFileValidator {
	mock := &MockFileValidator{ctrl: ctrl}
	mock.recorder = &MockFileValidatorMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockFileValidator) EXPECT() *MockFileValidatorMockRecorder {
	return m.recorder
}

// Validate mocks base method.
func (m *MockFileValidator) Validate() []error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Validate")
	ret0, _ := ret[0].([]error)
	return ret0
}

// Validate indicates an expected call of Validate.
func (mr *MockFileValidatorMockRecorder) Validate() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Validate", reflect.TypeOf((*MockFileValidator)(nil).Validate))
}

// MockReportingRecord is a mock of ReportingRecord interface.
type MockReportingRecord struct {
	ctrl     *gomock.Controller
	recorder *MockReportingRecordMockRecorder
}

// MockReportingRecordMockRecorder is the mock recorder for MockReportingRecord.
type MockReportingRecordMockRecorder struct {
	mock *MockReportingRecord
}

// NewMockReportingRecord creates a new mock instance.
func NewMockReportingRecord(ctrl *gomock.Controller) *MockReportingRecord {
	mock := &MockReportingRecord{ctrl: ctrl}
	mock.recorder = &MockReportingRecordMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockReportingRecord) EXPECT() *MockReportingRecordMockRecorder {
	return m.recorder
}

// FromSlice mocks base method.
func (m *MockReportingRecord) FromSlice(record []string) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FromSlice", record)
	ret0, _ := ret[0].(error)
	return ret0
}

// FromSlice indicates an expected call of FromSlice.
func (mr *MockReportingRecordMockRecorder) FromSlice(record interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FromSlice", reflect.TypeOf((*MockReportingRecord)(nil).FromSlice), record)
}

// Validate mocks base method.
func (m *MockReportingRecord) Validate() []error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Validate")
	ret0, _ := ret[0].([]error)
	return ret0
}

// Validate indicates an expected call of Validate.
func (mr *MockReportingRecordMockRecorder) Validate() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Validate", reflect.TypeOf((*MockReportingRecord)(nil).Validate))
}

// MockClient is a mock of Client interface.
type MockClient struct {
	ctrl     *gomock.Controller
	recorder *MockClientMockRecorder
}

// MockClientMockRecorder is the mock recorder for MockClient.
type MockClientMockRecorder struct {
	mock *MockClient
}

// NewMockClient creates a new mock instance.
func NewMockClient(ctrl *gomock.Controller) *MockClient {
	mock := &MockClient{ctrl: ctrl}
	mock.recorder = &MockClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockClient) EXPECT() *MockClientMockRecorder {
	return m.recorder
}

// GetAddress mocks base method.
func (m *MockClient) GetAddress() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetAddress")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetAddress indicates an expected call of GetAddress.
func (mr *MockClientMockRecorder) GetAddress() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetAddress", reflect.TypeOf((*MockClient)(nil).GetAddress))
}

// GetCompanyName mocks base method.
func (m *MockClient) GetCompanyName() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetCompanyName")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetCompanyName indicates an expected call of GetCompanyName.
func (mr *MockClientMockRecorder) GetCompanyName() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetCompanyName", reflect.TypeOf((*MockClient)(nil).GetCompanyName))
}

// GetEquifaxID mocks base method.
func (m *MockClient) GetEquifaxID() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetEquifaxID")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetEquifaxID indicates an expected call of GetEquifaxID.
func (mr *MockClientMockRecorder) GetEquifaxID() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetEquifaxID", reflect.TypeOf((*MockClient)(nil).GetEquifaxID))
}

// GetExpectedNameFormat mocks base method.
func (m *MockClient) GetExpectedNameFormat() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetExpectedNameFormat")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetExpectedNameFormat indicates an expected call of GetExpectedNameFormat.
func (mr *MockClientMockRecorder) GetExpectedNameFormat() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetExpectedNameFormat", reflect.TypeOf((*MockClient)(nil).GetExpectedNameFormat))
}

// GetExperianID mocks base method.
func (m *MockClient) GetExperianID() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetExperianID")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetExperianID indicates an expected call of GetExperianID.
func (mr *MockClientMockRecorder) GetExperianID() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetExperianID", reflect.TypeOf((*MockClient)(nil).GetExperianID))
}

// GetPhoneNumber mocks base method.
func (m *MockClient) GetPhoneNumber() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetPhoneNumber")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetPhoneNumber indicates an expected call of GetPhoneNumber.
func (mr *MockClientMockRecorder) GetPhoneNumber() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetPhoneNumber", reflect.TypeOf((*MockClient)(nil).GetPhoneNumber))
}

// GetTransunionID mocks base method.
func (m *MockClient) GetTransunionID() string {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetTransunionID")
	ret0, _ := ret[0].(string)
	return ret0
}

// GetTransunionID indicates an expected call of GetTransunionID.
func (mr *MockClientMockRecorder) GetTransunionID() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetTransunionID", reflect.TypeOf((*MockClient)(nil).GetTransunionID))
}
